Bug 1565620 - [RFE] [Lenovo] Improve hostname validation
Summary: [RFE] [Lenovo] Improve hostname validation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: MVP
: 5.10.0
Assignee: Douglas Gabriel
QA Contact: Rodney H. Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 12:41 UTC by Rodney H. Brown
Modified: 2019-02-07 23:02 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:31 UTC
Category: ---
Cloudforms Team: Lenovo
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 0 None None None 2019-02-07 23:02:06 UTC

Description Rodney H. Brown 2018-04-10 12:41:58 UTC
Description of problem:
Improve the resolution of hostnames given a physical infrastructure provider via an IP.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a new Lenovo provider via IP address
2. Wait a refresh cycle ( approx 30 secs.)
3. View provider details to see host name resolved

Actual results:


Expected results:


Additional info:
https://github.com/ManageIQ/manageiq-ui-classic/pull/2455

Comment 2 Dave Johnson 2018-04-10 12:44:25 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Rodney H. Brown 2018-09-13 15:07:55 UTC
The intent of this feature was changed due to inconsistencies in the way that IP addresses are being mapped to hostnames.  If the user provides a host name for a Lenovo provider instance that IP address will be used as the hostname and not converted to a DNS registered hostname.  A user may still provided a registered hostname when creating the provider if desired.

Comment 5 errata-xmlrpc 2019-02-07 23:01:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.